Xcode 누락 지원 파일 iOS 12.2(16E227)




(3)

Xcode 버전에없는 경우 여기에서 장치 지원 파일 ( https://github.com/iGhibli/iOS-DeviceSupport/blob/master/DeviceSupport/12.2%20(16E226).zip 다운로드하십시오. zip 파일의 압축을 풀고 /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport로 복사하십시오. 16E266 폴더의 이름을 16E227로 바꿉니다. XCode를 다시 시작하십시오.

@DavidH에 의해 지적 되었 듯이, 이것은 나를 위해 일했습니다.

내 장치에서 iOS 12.2가 실행되고 있지만 최신 Xcode 버전 (상점에서 직접 사용 가능하며 developer.apple에서 바로 사용 가능)은 해당 iOS 버전에 대한 지원 파일을 제공하지 않으므로 장치에 빌드 할 수 없습니다 .

Xcode의 오류 메시지는 다음과 같습니다.

MacOS에서 실행되는 내 Xcode 빌드 Mojava v.10.14 :

Xcode> 콘텐츠> 개발자> 플랫폼> iPhoneOS.platform> DeviceSupport)에서 최신 Xcode 베타 버전을 다운로드 할 수있는 평판이 좋은 곳이 있습니까? 아니면 여기에 누락 된 항목이 있습니까?


나는 같은 문제가 있었다. https://github.com/iGhibli/iOS-DeviceSupport/blob/master/DeviceSupport/12.2%20(16E226).zip 을 다운로드하여 /Applications/Xcode.app/Contents/Developer/에 붙여 넣으 려했습니다. Platforms / iPhoneOS.platform / DeviceSupport 경로가 아니라 정상적인 흐름이라고 생각합니다. 나중에, 나는 운영 체제 업데이트를 거의 다운로드하지 않는다는 것을 기억했다. 내 솔루션은 다음과 같습니다.

  1. 이 mac -> 소프트웨어 업데이트 (운영 체제 업데이트)로 이동하십시오.
  2. 업데이트를 다운로드하고 설치하면 Xcode를 업데이트 할 수 있습니다.
  3. App Store -> xcode 검색으로 이동하면 Xcode를 성공적으로 업데이트 할 수 있습니다.

결론 : 필자는 macOS 운영 체제에 대한 업데이트를 설치해야했습니다.


폴더를 복사하고 이름을 변경 한 후에도 문제가 지속되면 Mac을 다시 시작하십시오.





xcode